Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
hoanquoctrinh

giúp em sửa lỗi cua lisp vẽ mái taluy

Các bài được khuyến nghị

em co cái lisp vẽ chân mái taluy mong các bác giúp em với khi đánh lệnh thì  nó mất bắt điểm thế mới tức chứ mong được các pro giúp em với.

 

 

(princ "\n   TLT : vÏ ®­êng polyline ch©n taluy phÝa bªn Tr¸i tim tuyÕn")
(princ "\n   TLP : vÏ ®­êng polyline ch©n taluy phÝa bªn Ph¶i tim tuyÕn")
(defun C:TLT()
  (vmon)
  (setq eclast (getvar "CMDECHO"))
  (setq oslast (getvar "OSMODE"))
  (setvar "CMDECHO" 0)
  (command "pline")
  (setq pt0 (getpoint "\nTõ ®iÓm (trªn tim tuyÕn) : "))
  (initget (+ 1 2 4))
  (setq l0 (getreal "\nSang tr¸i : "))
  (setq x0 (car pt0) y0 (cadr pt0))
  (setq pt1 (getpoint "\n§Õn ®iÓm (trªn tim tuyÕn) : "))
  (setq dl (distance pt0 pt1))
  (setq heso (/ l0 dl))
  (setq x1 (car pt1) y1 (cadr pt1))
  (setq u3 (- x1 x0) v3 (- y1 y0))
  (setq u1 (- x0 (* heso v3)) v1 (+ y0 (* heso u3)))
  (while (/= pt1 nil)
    (setvar "OSMODE" 0)
    (command (list u1 v1))
    (print)
    (print)
    (initget (+ 1 2 4))
    (setq l1 (getreal "\nSang tr¸i : "))
    (setq x1 (car pt1) y1 (cadr pt1))
    (setq u3 (- x1 x0) v3 (- y1 y0))
    (setq dl (distance pt0 pt1))
    (setq heso (/ l1 dl))
    (setq u1 (- x1 (* heso v3)) v1 (+ y1 (* heso u3)))
    (setq x0 x1 y0 y1)
    (setq pt0 pt1)
    (setvar "OSMODE" oslast)
    (print)
    (setq pt1 (getpoint "\n§Õn ®iÓm (trªn tim tuyÕn) : "))
  )
  (setvar "OSMODE" 0)
  (command (list u1 v1) "")
  (setvar "OSMODE" oslast)
  (setvar "CMDECHO" eclast)
 )
;*
;*
;*
(defun C:TLP()
  (vmon)
  (setq eclast (getvar "CMDECHO"))
  (setq oslast (getvar "OSMODE"))
  (setvar "CMDECHO" 0)
  (setvar "OSMODE" 4)
  (command "pline")
  (setq pt0 (getpoint "\nTõ ®iÓm (trªn tim tuyÕn) : "))
  (initget (+ 1 2 4))
  (setq l0 (getreal "\nSang ph¶i : "))
  (setq x0 (car pt0) y0 (cadr pt0))
  (setq pt1 (getpoint "\n§Õn ®iÓm (trªn tim tuyÕn) : "))
  (setq dl (distance pt0 pt1))
  (setq heso (/ l0 dl))
  (setq x1 (car pt1) y1 (cadr pt1))
  (setq u3 (- x1 x0) v3 (- y1 y0))
  (setq u1 (+ x0 (* heso v3)) v1 (- y0 (* heso u3)))
  (while (/= pt1 nil)
    (setvar "OSMODE" 0)
    (command (list u1 v1))
    (print)
    (print)
    (initget (+ 1 2 4))
    (setq l1 (getreal "\nSang ph¶i : "))
    (setq x1 (car pt1) y1 (cadr pt1))
    (setq u3 (- x1 x0) v3 (- y1 y0))
    (setq dl (distance pt0 pt1))
    (setq heso (/ l1 dl))
    (setq u1 (+ x1 (* heso v3)) v1 (- y1 (* heso u3)))
    (setq x0 x1 y0 y1)
    (setq pt0 pt1)
    (setvar "OSMODE" oslast)
    (print)
    (setq pt1 (getpoint "\n§Õn ®iÓm (trªn tim tuyÕn) : "))
  )
  (setvar "OSMODE" 0)
  (command (list u1 v1) "")
  (setvar "OSMODE" oslast)
  (setvar "CMDECHO" eclast)
)
 

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×